=== debian/changelog ===
sfcgal (2.0.0-1build2) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:05:53 +0200

sfcgal (2.0.0-1build1) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 16:55:28 +0200

sfcgal (2.0.0-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 12 Oct 2024 11:11:16 +0200

sfcgal (2.0.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Drop cgal6.patch, included upstream.
  * Rename library package for SONAME bump.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 11 Oct 2024 06:32:39 +0200
