## sfcgal 2.1.0

=== debian/changelog ===
sfcgal (2.1.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes.
  * Update watch file to get full path to archive download.
  * Update copyright file.
  * Include CMake config scripts in -dev package.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 15 May 2025 05:39:49 +0200
