=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
                libmpfr-dev,
                libgmp-dev,
                pkg-kde-tools
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/sfcgal
-Vcs-Git: https://salsa.debian.org/debian-gis-team/sfcgal.git
+Vcs-Git: https://salsa.debian.org/debian-gis-team/sfcgal.git -b experimental
 Homepage: http://www.sfcgal.org/
 Rules-Requires-Root: no
