## sfcgal 2.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,11 @@
 cmake_minimum_required( VERSION 3.6 )
-project( SFCGAL )
+
+set( SFCGAL_VERSION_MAJOR 2 )
+set( SFCGAL_VERSION_MINOR 2 )
+set( SFCGAL_VERSION_PATCH 0 )
+
+set( SFCGAL_VERSION "${SFCGAL_VERSION_MAJOR}.${SFCGAL_VERSION_MINOR}.${SFCGAL_VERSION_PATCH}" )
+project( SFCGAL VERSION ${SFCGAL_VERSION} )
 
 set( CMAKE_DEBUG_POSTFIX "d" )
 set(CMAKE_CXX_STANDARD 17)
@@ -40,6 +46,8 @@
 option( SFCGAL_BUILD_DOC "Build documentation" OFF )
 
 option( SFCGAL_WITH_OSG "Compile with OpenSceneGraph support" OFF )
+option( SFCGAL_VALGRIND "Compile with Valgrind support" OFF )
+option( SFCGAL_TSAN "Enable ThreadSanitizer (Debug only)" OFF)
 
 # Configure CCache if available
 if(NOT MSVC)
@@ -57,12 +65,6 @@
 #-- include finders and co
 set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/Modules;${CMAKE_MODULE_PATH}" )
 
-set( SFCGAL_VERSION_MAJOR 2 )
-set( SFCGAL_VERSION_MINOR 0 )
-set( SFCGAL_VERSION_PATCH 0 )
-
-set( SFCGAL_VERSION "${SFCGAL_VERSION_MAJOR}.${SFCGAL_VERSION_MINOR}.${SFCGAL_VERSION_PATCH}" )
-
 if (CMAKE_CXX_COMPILER MATCHES ".*clang")
     set(CMAKE_COMPILER_IS_CLANGXX 1)
 endif ()
@@ -71,6 +73,22 @@
 # dependencies
 #-----------------------------------------------------------
 
+if( SFCGAL_VALGRIND )
+  # valgrind tends to alter how CGAL works. To avoid the '-frounding-math' warning we need to activate this define:
+  add_definitions( "-DCGAL_DISABLE_ROUNDING_MATH_CHECK" )
+endif()
+
+# Require Debug build if SFCGAL_TSAN is ON
+if ( SFCGAL_TSAN )
+    if (NOT CMAKE_BUILD_TYPE STREQUAL "Debug")
+        message(FATAL_ERROR "SFCGAL_TSAN is enabled but CMAKE_BUILD_TYPE is not Debug. Please configure with -DCMAKE_BUILD_TYPE=Debug")
+    endif()
+
+    message(STATUS "ThreadSanitizer enabled (C & C++)")
+    add_compile_options(-fsanitize=thread -g)
+    add_link_options(-fsanitize=thread)
+endif()
+
 #-- find CGAL  ---------------------------------------------
 if( CGAL_USE_GMPXX )
 	add_definitions( "-DCGAL_USE_GMPXX" )
@@ -84,12 +102,14 @@
 find_package( CGAL 5.6 COMPONENTS Core REQUIRED )
 message( STATUS "CGAL ${CGAL_VERSION} found" )
 
+set(CGAL_3RD_PARTY_LIBRARIES CGAL::CGAL CGAL::CGAL_Core)
+
 include_directories( ${CMAKE_BINARY_DIR}/include )
 
 #-- BOOST --------------------------------------------------
 option( Boost_USE_AUTO_LINK "boost use autolink" OFF )
 set(Boost_USE_DEBUG_RUNTIME OFF)
-set(Boost_USE_STATIC_LIBS OFF)
+# set(Boost_USE_STATIC_LIBS OFF)
 option( Boost_USE_DEBUG_RUNTIME "Use Boost debug runtime" OFF )
 
 if( NOT ${Boost_USE_AUTO_LINK} )
@@ -115,13 +135,9 @@
 
 #-- minimalist build allowed with boost version older than 1.48
 set( SFCGAL_Boost_COMPONENTS thread system serialization )
-#-- unit test
-if ( SFCGAL_BUILD_TESTS )
-	set( SFCGAL_Boost_COMPONENTS unit_test_framework program_options ${SFCGAL_Boost_COMPONENTS} )
-endif()
 #-- program_options
 if ( SFCGAL_BUILD_TESTS OR SFCGAL_BUILD_EXAMPLES OR SFCGAL_BUILD_OSG )
-	set( SFCGAL_Boost_COMPONENTS program_options chrono filesystem timer ${SFCGAL_Boost_COMPONENTS} )
+	set( SFCGAL_Boost_COMPONENTS chrono unit_test_framework filesystem program_options timer ${SFCGAL_Boost_COMPONENTS} )
 endif()
 find_package( Boost COMPONENTS ${SFCGAL_Boost_COMPONENTS} REQUIRED )
 if((${Boost_MAJOR_VERSION} EQUAL 1) AND (${Boost_MINOR_VERSION} EQUAL 58))
@@ -221,7 +237,11 @@
   set(CMAKE_INSTALL_LIBDIR "${_LIBDIR_DEFAULT}" CACHE PATH "object code libraries (${_LIBDIR_DEFAULT})")
 endif()
 
-SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}")
+if(NOT DEFINED CMAKE_INSTALL_FULL_LIBDIR)
+    set(CMAKE_INSTALL_FULL_LIBDIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}")
+endif()
+
+SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_FULL_LIBDIR}")
 SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
 #SET(CMAKE_MACOSX_RPATH ON)
 
@@ -260,9 +280,50 @@
 else()
   set( SFCGAL_LIB_NAME "SFCGAL" )
 endif()
+
+if ( UNIX )
+  include(GNUInstallDirs)
+endif()
 #set( SFCGAL_LIB_NAME ${${CMAKE_BUILD_TYPE}
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/sfcgal-config.in ${CMAKE_CURRENT_BINARY_DIR}/sfcgal-config @ONLY)
 install( PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/sfcgal-config DESTINATION bin )
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/sfcgal.pc.in ${CMAKE_CURRENT_BINARY_DIR}/sfcgal.pc @ONLY)
 install( FILES ${CMAKE_CURRENT_BINARY_DIR}/sfcgal.pc DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
+
+include(GNUInstallDirs)
+include(CMakePackageConfigHelpers)
+
+set(SFCGAL_INCLUDE_DIR "${CMAKE_INSTALL_INCLUDEDIR}")
+set(SFCGAL_LIBRARY_DIR "${CMAKE_INSTALL_LIBDIR}")
+
+configure_package_config_file(
+    "${CMAKE_CURRENT_SOURCE_DIR}/SFCGALConfig.cmake.in"
+    "${CMAKE_CURRENT_BINARY_DIR}/SFCGALConfig.cmake"
+    INSTALL_DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/SFCGAL"
+    PATH_VARS SFCGAL_INCLUDE_DIR SFCGAL_LIBRARY_DIR
+)
+
+write_basic_package_version_file(
+    "${CMAKE_CURRENT_BINARY_DIR}/SFCGALConfigVersion.cmake"
+    VERSION ${PROJECT_VERSION}
+    COMPATIBILITY SameMajorVersion
+)
+
+install(FILES
+    "${CMAKE_CURRENT_BINARY_DIR}/SFCGALConfig.cmake"
+    "${CMAKE_CURRENT_BINARY_DIR}/SFCGALConfigVersion.cmake"
+    DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/SFCGAL"
+)
+
+install(TARGETS SFCGAL
+        EXPORT SFCGALTargets
+        LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
+        ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}"
+        RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
+        INCLUDES DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}")
+
+install(EXPORT SFCGALTargets
+        FILE SFCGALTargets.cmake
+        NAMESPACE SFCGAL::
+        DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/SFCGAL")
