=== example/CMakeLists.txt ===
add_subdirectory( CGAL-basic_manip )
add_subdirectory( CGAL-cartesian_kernel )
add_subdirectory( CGAL-point_generator )
add_subdirectory( CGAL-triangulation2 )
add_subdirectory( CGAL-polygon_triangulation2 )
add_subdirectory( SFCGAL-offset )

if ( SFCGAL_WITH_OSG )
	add_subdirectory( SFCGAL-export-osg )
	add_subdirectory( SFCGAL-building )
endif()
