=== test/regress/CMakeLists.txt ===
#-- standalone test
add_subdirectory( capi )
add_subdirectory( standalone )

#-- test that needs parameters
add_subdirectory( polygon_triangulator )
add_subdirectory( convex_hull )
