=== debian/changelog ===
sfcgal (2.2.0-2) unstable; urgency=medium

  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.
  * Use test-build-validate-cleanup instead of test-build-twice.
  * Use debrebuild instead of reprotest.
  * Drop dh_auto_test override.
  * Drop Priority: optional, default since dpkg 1.22.13.
  * Bump Standards-Version to 4.7.3, changes: priority.
  * Replace libboost-all-dev build dependency with only required ones.
  * Add upstream patch to fix FTBFS with Boost 1.89.
    (closes: #1128145)
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 04 Mar 2026 12:10:20 +0100

sfcgal (2.2.0-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 10 Aug 2025 10:29:15 +0200

sfcgal (2.2.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Mark libsfcgal2 as Multi-Arch: same.
  * Update copyright file.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 01 Aug 2025 06:16:42 +0200
