=== debian/control ===
--- 
+++ 
@@ -3,24 +3,29 @@
 Uploaders: Sven Geggus <sven-debian@geggus.net>,
            Bas Couwenberg <sebastic@debian.org>
 Section: science
-Priority: optional
 Build-Depends: chrpath,
                cmake,
                debhelper-compat (= 13),
                dh-sequence-pkgkde-symbolshelper,
                libcgal-dev (>= 5.3),
-               libboost-all-dev,
+               libboost-chrono-dev,
+               libboost-filesystem-dev,
+               libboost-program-options-dev,
+               libboost-serialization-dev,
+               libboost-test-dev,
+               libboost-thread-dev,
+               libboost-timer-dev,
                libmpfr-dev,
                libgmp-dev,
                pkg-kde-tools
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/sfcgal
-Vcs-Git: https://salsa.debian.org/debian-gis-team/sfcgal.git -b experimental
+Vcs-Git: https://salsa.debian.org/debian-gis-team/sfcgal.git
 Homepage: http://www.sfcgal.org/
-Rules-Requires-Root: no
 
 Package: libsfcgal2
 Architecture: any
+Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
